ranges::v3::concepts::CopyConstructible Struct Reference
Utility » Concepts
Inheritance diagram for ranges::v3::concepts::CopyConstructible:

## Public Member Functions

template<typename T >
auto | requires_ () -> decltype(concepts::valid_expr(concepts::model_of< Constructible, T, T &>(), concepts::model_of< Constructible, T, T const &>(), concepts::model_of< Constructible, T, T const >(), concepts::model_of< ConvertibleTo, T &, T >(), concepts::model_of< ConvertibleTo, T const &, T >(), concepts::model_of< ConvertibleTo, T const, T >()))
Public Member Functions inherited from ranges::v3::concepts::refines< MoveConstructible >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< MoveConstructible >
using | base_concepts_t = meta::list< Concepts... >